Bug 8958 - Facets are not fully UNIMARC compliant
Summary: Facets are not fully UNIMARC compliant
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: mathieu saby
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on: 3216 7421 7818
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 19:56 UTC by mathieu saby
Modified: 2014-06-11 14:20 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
[PATCH] Bug 8958: Make facets more UNIMARC compliant (2.49 KB, patch)
2012-10-23 20:23 UTC, mathieu saby
Details | Diff | Splinter Review
[PATCH] Bug 8958: Make facets more UNIMARC compliant (revision 1) (1.56 KB, patch)
2012-10-24 17:29 UTC, mathieu saby
Details | Diff | Splinter Review
Bug 8958: Make facets more UNIMARC compliant (revision 1) (1.79 KB, patch)
2012-10-25 06:16 UTC, Frédéric Demians
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2012-10-23 19:56:42 UTC
Hi

- The "Place" Facet cannot show up because it is mapped on 651 field instead of 607 field.

- Some fields are missing in Unimarc facets (topics : 608, 616 ; authors : 710, 711, 712, 716, 720, 721, 722).

- Serials are mapped on 225a. This field is subject to many variants ("Collection Que sais-je?", "Que sais-je", "Que sais je?", etc). Facets would be nicer if we used 410t.

Some other fields could be better indexed : 600ab (name/surname) instead of 600a, 601abcdef (hierarchical collectivity or congress) instead of 601a, 604at (author+title) instead of 604a

I have made a patch for these issues. I'm planning some other changes regarding Unimarc facets (adding distinct facets for some 6XX, indexing separately all $x subdivisions in su-to, indexing all $y subdivisions in su-geo with 607a, adding language and date facets...), but I will submit these ideas to koha-fr and koha lists first...

Regards

Mathieu Saby
Rennes 2 University
Comment 1 mathieu saby 2012-10-23 20:23:17 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2012-10-24 05:59:49 UTC
Very welcomed patch. Bug 3216 was implying such a follow-up patch, for
UNIMARC, and for MARC21 (someone intersted?)

In my opinion, you should propose first a patch fixing issues, and then
propose a patch enhencing facets.

> - The "Place" Facet cannot show up because it is mapped on 651 field
> instead of 607 field.

Yes.

> - Some fields are missing in Unimarc facets (topics : 608, 616 ; authors :
> 710, 711, 712, 716, 720, 721, 722).

Check that new fields added to topic facets are searcheable. Since they
are multi-part facets (coming from several subfields), biblio DOM
indexing may be required. Improving facets, we can reach a point where
deprecated GRS-1 indexing may be necessary.

Why not a new facet for Corporate Name? Is it a good idea to mix
Personal/Corporate Name?

> - Serials are mapped on 225a. This field is subject to many variants
> ("Collection Que sais-je?", "Que sais-je", "Que sais je?", etc). Facets
> would be nicer if we used 410t.

Disputable for libraries not using 410 field but only 225.

> Some other fields could be better indexed : 600ab (name/surname)
> instead of 600a, 601abcdef (hierarchical collectivity or congress)
> instead of 601a, 604at (author+title) instead of 604a

It's not a matter of indexing but of facets building, even if it's
related to the ability to use Koha indexes.
Comment 3 mathieu saby 2012-10-24 07:48:35 UTC
Hello Frederic, thanks for your comments.

As I want the change for Place facet to be pushed quickly, I will make a other patch this evening making allowance to your comments, and I will make other(s) patch(s) or follow up (what is best?) latter.

"Check that new fields added to topic facets are searcheable."
>> I have forgotten 608 and 616 are missing in standard record.abs. I send a message to koha-fr list for this issue and others, but I suspect nobody received it... Will send it to koha-devel.
->I'll remove 608/616 and I will do an other patch when unimarc record.abs is updated.

"Disputable for libraries not using 410 field but only 225."
>> Did not think of that. I thought the use of 410$t was universal (in Sudoc it is).
->I'll remove this feature too.

"Why not a new facet for Corporate Name? Is it a good idea to mix
Personal/Corporate Name?"
>> Maybe you are right, but it's a UX question and I am not sure of the answer : for a library user, are "Proust, Marcel" and "France. Prime minister" just two kind of AUTHORS, or TWO KIND of authors? Maybe we should look 
Moreover, I thought the community would be reluctant to add new facets, because in Marc21 code for facets, there is already a "su-na" facet that have been commented with #. But I did not make search in the code history to see when and why it was commented.
So this could be discussed and we may need to read some UX study about facets use in other library opacs.
->I'll remove 716 and 71X/72X for the moment. I'll make some more tests and maybe ask the question the koha list.

"Since they are multi-part facets (coming from several subfields), biblio DOM
indexing may be required. Improving facets, we can reach a point where
deprecated GRS-1 indexing may be necessary."
>> I've seen 606ax and 700ab 701ab 702ab in the current Koha.pm file. So I thought I could add 600ab 601abcdef and 710-711-712abcdef without any problem. -> Do you think I am wrong ? I can remove 600ab and 601abcdef but I think it should work. So, are you satisfied with 600 and 601 appearance with my patch ?


Regards,
Mathieu Saby
Rennes 2 Universiy
Comment 4 mathieu saby 2012-10-24 07:52:39 UTC
Oh, that's weird, the ">>" break bugzilla layout...
Comment 5 mathieu saby 2012-10-24 17:29:51 UTC Comment hidden (obsolete)
Comment 6 mathieu saby 2012-10-24 17:35:52 UTC
Oups, I did not described well the changes : I changed 601a to 601ab. 
=> Need to be tested on a record with 601ab (for example "France. Gendarmerie nationale")

M. Saby
Comment 7 Frédéric Demians 2012-10-25 06:16:48 UTC
Created attachment 13032 [details] [review]
Bug 8958: Make facets more UNIMARC compliant (revision 1)

Suppressions : I suppressed some indexes not existing in Unimarc : 603, 502,
504

Corrections :

  - Places : 651 was Marc21 => I put the right value (607)
  - Topics : 600a => 600ab (name/surname) ;  604a => 604at (author/title)

To test, take a record with 607, 600ab, 601ab, 604at, do a research matching
this record, and check if facets looks nicer that before...

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

Works as described. 607 for Places is very useful! Other tweakings make sense.
Comment 8 Jonathan Druart 2012-10-25 12:52:39 UTC
I trust in the Frédéric SO.
Marked as Passed QA.
Comment 9 Paul Poulain 2012-10-26 15:17:38 UTC
Patch pushed to master
Comment 10 Chris Cormack 2012-10-27 01:28:40 UTC
Pushed to 3.8.x will be in 3.8.7
Comment 11 Serhij Dubyk 2014-06-11 14:20:06 UTC
For Unimarc is necessary add

{
   idx   => 'itype',
   label => 'ItemTypes',
   tags  => [ qw/ 995r / ],
   sep   => ', ',
},

for item-type facets support (995r - Type of item and material).